Bug 51050 - "misc" font directory entry removed from .../fs/config during upgrade to Roswell.
"misc" font directory entry removed from .../fs/config during upgrade to Rosw...
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-06 17:34 EDT by Bill Crawford
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-22 15:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2001-08-06 17:34:01 EDT
After upgrade to Roswell, "/usr/X11R6/lib/X11/fonts/misc" is mysteriously
missing from the font server config file "/etc/X11/fs/config".  The
directory is there, the "fonts.dir" file is present and correct (because it
works fine once the directory is added back to the catalog).  Symptom is X
failing to start because it 'cannot open default font "fixed"'.

The directory was listed there prior to the upgrade, and I tried restarting
xfs first :o)

As an aside, I also found my entries for 75dpi and 100dpi appeared to have
been swapped, but that's a minor irritation :o)

Can't figure out why this should happen as the postinstall script looks
like it should have added the directory back in?
Comment 1 Glen Foster 2001-08-06 18:09:46 EDT
What version of X did you have installed previously?
Comment 2 Bill Crawford 2001-08-06 18:35:38 EDT
Rawhide from a few weeks back (the last working 4.1 version, I think July 13th
release) with the DRI & DRM stuff recompiled from CVS.  The (misc) fonts were
from Mike's RPM package, with no change (really).  The only changes I made were
to get DRI working -- which incidentally is working now, with the installed
XFree86 RPM and the kernel + DRM module from before the upgrade.

This wasn't a big deal to fix, and I'm used to X being one of the problem areas

It's possible the postuninstall script from the _old_ package did something bad,
I suppose.
Comment 3 Danial Howard 2001-08-22 15:39:01 EDT
After a clean install of Roswell 7.1.94,  I see this error message when trying
to start X-windows:

Fatal server error:
could not open default font 'fixed'
Comment 4 Mike A. Harris 2001-08-24 10:30:21 EDT
THis problem is in the older rawhide release.  Upgrades between
rawhide releases is the cause of the problem and is unavoidable.
Anyone upgrading from rawhide X <= approx 0.9.10 or so, possibly
even later versions, to a new release, will see this problem.

howadani@isu.edu:  The problem you are seeing is bug #51033, and
is fixed also.

Just to stress this:  This bug is fixed, but anyone upgrading, will
still see it as a bug.  The bug is in the _old_ package, and nothing
can be done about it.  ;o)
Comment 5 Nick Simicich 2001-08-28 11:13:13 EDT
I'm trying to figure out how to get xfs working - all the bugs point ot 50133 
and 50133 is one of those bugs that the public can't see.
Comment 6 Mike A. Harris 2001-08-28 12:25:22 EDT
The solution is to upgrade to the latest XFree86-4.1.0-0.99.2 package.

Note You need to log in before you can comment on or make changes to this bug.